<?php

if (!function_exists('ideothemo_get_theme_mod')) {
    function ideothemo_get_theme_mod($useInitDefault = true)
    {

        $ideo_default_skin = 'light';
        $ideo_default_accent_color = '#31aad1';

        $ideo_theme_skins = get_theme_mod('ideo_theme_skin', array());
        $ideo_theme_skin = empty($ideo_theme_skins[$ideo_default_skin]) ? array() : $ideo_theme_skins[$ideo_default_skin];

        if ($useInitDefault) {
            $ideo_theme_options_init = array(
                'generals' => array(
                    'background' => array(
                        'content_background_type' => ideothemo_get_themo_default_value('generals.background.content_background_type'),
                        'content_background_color_overlay' => ideothemo_get_themo_default_value('generals.background.content_background_color_overlay'),
                        'content_background_color' => ideothemo_get_themo_default_value('generals.background.content_background_color'),
                        'content_background_info' => ideothemo_get_themo_default_value('generals.background.content_background_info'),
                        'content_background_color_overlay_color' => ideothemo_get_themo_default_value('generals.background.content_background_color_overlay_color'),
                        'content_background_color_pattern' => ideothemo_get_themo_default_value('generals.background.content_background_color_pattern'),
                        'content_background_color_pattern_color' => ideothemo_get_themo_default_value('generals.background.content_background_color_pattern_color'),
                        'content_background_upload_image' => ideothemo_get_themo_default_value('generals.background.content_background_upload_image'),
                        'content_background_cover' => ideothemo_get_themo_default_value('generals.background.content_background_cover'),
                        'content_background_image_position' => ideothemo_get_themo_default_value('generals.background.content_background_image_position'),
                        'content_background_image_repeat' => ideothemo_get_themo_default_value('generals.background.content_background_image_repeat'),
                        'content_background_image_motion' => ideothemo_get_themo_default_value('generals.background.content_background_image_motion'),
                        'content_background_image_overlay' => ideothemo_get_themo_default_value('generals.background.content_background_image_overlay'),
                        'content_background_image_overlay_color' => ideothemo_get_themo_default_value('generals.background.content_background_image_overlay_color'),
                        'content_background_image_overlay_pattern' => ideothemo_get_themo_default_value('generals.background.content_background_image_overlay_pattern'),
                        'content_background_image_overlay_pattern_color' => ideothemo_get_themo_default_value('generals.background.content_background_image_overlay_pattern_color'),
                        'content_background_video_platform' => ideothemo_get_themo_default_value('generals.background.content_background_video_platform'),
                        'content_background_youtube' => ideothemo_get_themo_default_value('generals.background.content_background_youtube'),
                        'content_background_mp4' => ideothemo_get_themo_default_value('generals.background.content_background_mp4'),
                        'content_background_webm' => ideothemo_get_themo_default_value('generals.background.content_background_webm'),
                        'content_background_fallback_image' => ideothemo_get_themo_default_value('generals.background.content_background_fallback_image'),
                        'content_background_video_overlay' => ideothemo_get_themo_default_value('generals.background.content_background_video_overlay'),
                        'content_background_video_overlay_color' => ideothemo_get_themo_default_value('generals.background.content_background_video_overlay_color'),
                        'content_background_video_overlay_pattern' => ideothemo_get_themo_default_value('generals.background.content_background_video_overlay_pattern'),
                        'content_background_video_overlay_pattern_color' => ideothemo_get_themo_default_value('generals.background.content_background_video_overlay_pattern_color'),
                        'boxed_background_info' => ideothemo_get_themo_default_value('generals.background.boxed_background_info'),
                        'boxed_background_type' => ideothemo_get_themo_default_value('generals.background.boxed_background_type'),
                        'boxed_background_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_color'),
                        'boxed_background_color_overlay' => ideothemo_get_themo_default_value('generals.background.boxed_background_color_overlay'),
                        'boxed_background_color_overlay_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_color_overlay_color'),
                        'boxed_background_color_pattern' => ideothemo_get_themo_default_value('generals.background.boxed_background_color_pattern'),
                        'boxed_background_color_pattern_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_color_pattern_color'),
                        'boxed_background_upload_image' => ideothemo_get_themo_default_value('generals.background.boxed_background_upload_image'),
                        'boxed_background_cover' => ideothemo_get_themo_default_value('generals.background.boxed_background_cover'),
                        'boxed_background_image_position' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_position'),
                        'boxed_background_image_repeat' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_repeat'),
                        'boxed_background_image_motion' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_motion'),
                        'boxed_background_image_overlay' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_overlay'),
                        'boxed_background_image_overlay_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_overlay_color'),
                        'boxed_background_image_overlay_pattern' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_overlay_pattern'),
                        'boxed_background_image_overlay_pattern_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_image_overlay_pattern_color'),
                        'boxed_background_video_platform' => ideothemo_get_themo_default_value('generals.background.boxed_background_video_platform'),
                        'boxed_background_youtube' => ideothemo_get_themo_default_value('generals.background.boxed_background_youtube'),
                        'boxed_background_mp4' => ideothemo_get_themo_default_value('generals.background.boxed_background_mp4'),
                        'boxed_background_webm' => ideothemo_get_themo_default_value('generals.background.boxed_background_webm'),
                        'boxed_background_fallback_image' => ideothemo_get_themo_default_value('generals.background.boxed_background_fallback_image'),
                        'boxed_background_video_overlay' => ideothemo_get_themo_default_value('generals.background.boxed_background_video_overlay'),
                        'boxed_background_video_overlay_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_video_overlay_color'),
                        'boxed_background_video_overlay_pattern' => ideothemo_get_themo_default_value('generals.background.boxed_background_video_overlay_pattern'),
                        'boxed_background_video_overlay_pattern_color' => ideothemo_get_themo_default_value('generals.background.boxed_background_video_overlay_pattern_color'),
                    ),
                    'layout' => array(
                        'site_width' => ideothemo_get_themo_default_value('generals.layout.site_width'),
                        'boxed_version' => ideothemo_get_themo_default_value('generals.layout.boxed_version'),
                        'content_padding_top' => '80px',
                        'content_padding_bottom' => '40px',
                    ),
                    'styling' => array(
                        'info_styling' => '',
                        'theme_skin' => ideothemo_get_themo_default_value('generals.styling.theme_skin'),
                        'accent_color' => ideothemo_get_themo_default_value('generals.styling.accent_color'),
                        'custom_accent_color' => ideothemo_get_themo_default_value('generals.styling.custom_accent_color'),
                    ),
                ),
                'fonts' => array(
                    'font_family' => array(
                        'global_font_info' => ideothemo_get_themo_default_value('fonts.font_family.global_font_info'),
                        'global_font_extension' => ideothemo_get_themo_default_value('fonts.font_family.global_font_extension'),
                        'text_tag_settings' => ideothemo_get_themo_default_value('fonts.text_tag_settings.text_tag_settings'),
                    ),
                    'body_font_settings' => array(
                        'body_font_family' => ideothemo_get_themo_default_value('fonts.body_font_settings.body_font_family'),
                        'body_font_weight' => ideothemo_get_themo_default_value('fonts.body_font_settings.body_font_weight'),
                        'body_font_size' => ideothemo_get_themo_default_value('fonts.body_font_settings.body_font_size'),
                        'body_line_height' => ideothemo_get_themo_default_value('fonts.body_font_settings.body_line_height'),
                        'body_letter_spacing' => ideothemo_get_themo_default_value('fonts.body_font_settings.body_letter_spacing'),
                    ),
                    'text_tag_settings' => array(
                        'text_tag_settings' => ideothemo_get_themo_default_value('fonts.text_tag_settings.text_tag_settings'),
                        'p_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_font_size'),
                        'p_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_line_height'),
                        'p_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_font_family'),
                        'p_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_font_weight'),
                        'p_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_letter_spacing'),
                        'p_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.p_text_transform'),
                        'link_font_style' => ideothemo_get_themo_default_value('fonts.text_tag_settings.link_font_style'),
                        'link_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.link_font_weight'),
                        'link_text_decoration' => ideothemo_get_themo_default_value('fonts.text_tag_settings.link_text_decoration'),
                        'h1_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h1_font_size'),
                        'h1_line_height' => ideothemo_get_themo_default_value('fonts,text_tag_settings.h1_line_height'),
                        'h1_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h1_font_family'),
                        'h1_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h1_font_weight'),
                        'h1_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h1_letter_spacing'),
                        'h1_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h1_text_transform'),
                        'h2_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_font_size'),
                        'h2_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_line_height'),
                        'h2_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_font_family'),
                        'h2_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_font_weight'),
                        'h2_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_letter_spacing'),
                        'h2_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h2_text_transform'),
                        'h3_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_font_size'),
                        'h3_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_line_height'),
                        'h3_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_font_family'),
                        'h3_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_font_weight'),
                        'h3_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_letter_spacing'),
                        'h3_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h3_text_transform'),
                        'h4_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_font_size'),
                        'h4_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_line_height'),
                        'h4_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_font_family'),
                        'h4_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_font_weight'),
                        'h4_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_letter_spacing'),
                        'h4_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h4_text_transform'),
                        'h5_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_font_size'),
                        'h5_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_line_height'),
                        'h5_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_font_family'),
                        'h5_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_font_weight'),
                        'h5_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_letter_spacing'),
                        'h5_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h5_text_transform'),
                        'h6_font_size' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_font_size'),
                        'h6_line_height' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_line_height'),
                        'h6_font_family' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_font_family'),
                        'h6_font_weight' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_font_weight'),
                        'h6_letter_spacing' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_letter_spacing'),
                        'h6_text_transform' => ideothemo_get_themo_default_value('fonts.text_tag_settings.h6_text_transform'),
                    ),
                    'font_coloring' => array(
                        'body_text_skin' => ideothemo_get_themo_default_value('fonts.font_coloring.body_text_skin'),
                        'light' => array(
                            'h1' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h1'),
                            'h2' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h2'),
                            'h3' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h3'),
                            'h4' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h4'),
                            'h5' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h5'),
                            'h6' => ideothemo_get_themo_default_value('fonts.font_coloring.light.h6'),
                            'paragraph' => ideothemo_get_themo_default_value('fonts.font_coloring.light.paragraph'),
                            'link' => ideothemo_get_themo_default_value('fonts.font_coloring.light.link'),
                            'link_hover' => ideothemo_get_themo_default_value('fonts.font_coloring.light.link_hover'),
                        ),
                        'dark' => array(
                            'h1' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h1'),
                            'h2' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h2'),
                            'h3' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h3'),
                            'h4' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h4'),
                            'h5' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h5'),
                            'h6' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.h6'),
                            'paragraph' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.paragraph'),
                            'link' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.link'),
                            'link_hover' => ideothemo_get_themo_default_value('fonts.font_coloring.dark.link_hover'),
                        )
                    )
                ),
                'header' => array(
                    'type' => ideothemo_get_themo_default_value('header.type'),

                    'logo' => array(
                        'normal' => ideothemo_get_themo_default_value('header.logo.normal'),
                        'light' => ideothemo_get_themo_default_value('header.logo.light'),
                        'dark' => ideothemo_get_themo_default_value('header.logo.dark'),
                        'sticky' => array(
                            'dark' => ideothemo_get_themo_default_value('header.logo.sticky.dark'),
                            'light' => ideothemo_get_themo_default_value('header.logo.sticky.light'),
                        ),
                        'retina' => array(
                            'enable' => ideothemo_get_themo_default_value('header.logo.retina.enable'),
                            'normal' => ideothemo_get_themo_default_value('header.logo.retina.normal'),
                            'light' => ideothemo_get_themo_default_value('header.logo.retina.light'),
                            'dark' => ideothemo_get_themo_default_value('header.logo.retina.dark'),
                            'sticky' => array(
                                'dark' => ideothemo_get_themo_default_value('header.logo.retina.sticky.dark'),
                                'light' => ideothemo_get_themo_default_value('header.logo.retina.sticky.light'),
                            ),
                        ),
                        'favicon' => ideothemo_get_themo_default_value('header.logo.favicon'),
                    ),
                    'top' => array(
                        'align' => array(
                            'menu' => ideothemo_get_themo_default_value('header.top.align.menu'),
                        ),
                        'first_level_menu_hover_style' => ideothemo_get_themo_default_value('header.top.first_level_menu_hover_style'),
                        'dropdown_animation' => ideothemo_get_themo_default_value('header.top.dropdown_animation'),
                        'search_form' => ideothemo_get_themo_default_value('header.top.search_form'),
                        'social_media' => ideothemo_get_themo_default_value('header.top.social_media'),
                        'remove_language_switcher' => ideothemo_get_themo_default_value('header.top.remove_language_switcher'),
                        'enable_language_shortcuts' => ideothemo_get_themo_default_value('header.top.enable_language_shortcuts'),
                        'topbar' => array(
                            'enabled' => ideothemo_get_themo_default_value('header.top.topbar.enabled'),
                            'height' => ideothemo_get_themo_default_value('header.top.topbar.height'),
                        ),
                        'topbar_mobile' => ideothemo_get_themo_default_value('header.top.topbar_mobile'),
                        'style' => ideothemo_get_themo_default_value('header.top.style'),
                        'width' => ideothemo_get_themo_default_value('header.top.width'),
                        'custom_width' => ideothemo_get_themo_default_value('header.top.custom_width'),
                        'content_width' => ideothemo_get_themo_default_value('header.top.content_width'),
                        'height' => ideothemo_get_themo_default_value('header.top.height'),
                        'logo' => array(
                            'type' => ideothemo_get_themo_default_value('header.top.logo.type'),
                            'height' => ideothemo_get_themo_default_value('header.top.logo.height'),
                            'margin' => array(
                                'top' => ideothemo_get_themo_default_value('header.top.logo.margin.top'),
                            ),
                        ),
                        'top_distance' => ideothemo_get_themo_default_value('header.top.top_distance'),
                    ),
                    'sticky' => array(
                        'scroll_amount_input' => ideothemo_get_themo_default_value('header.sticky.scroll_amount_input'),
                        'loading_effect' => ideothemo_get_themo_default_value('header.sticky.loading_effect'),
                        'style' => ideothemo_get_themo_default_value('header.sticky.style'),
                        'width' => ideothemo_get_themo_default_value('header.sticky.width'),
                        'custom_width' => ideothemo_get_themo_default_value('header.sticky.custom_width'),
                        'content_width' => ideothemo_get_themo_default_value('header.sticky.content_width'),
                        'height' => ideothemo_get_themo_default_value('header.sticky.height'),
                        'logo' => array(
                            'type' => ideothemo_get_themo_default_value('header.sticky.logo.type'),
                            'height' => ideothemo_get_themo_default_value('header.sticky.logo.height'),
                            'margin' => array(
                                'top' => ideothemo_get_themo_default_value('header.sticky.logo.margin.top'),
                            ),
                        ),
                        'top_distance' => ideothemo_get_themo_default_value('header.sticky.top_distance'),
                    ),
                    'side' => array(
                        'align' => array(
                            'menu' => ideothemo_get_themo_default_value('header.side.align.menu'),
                            'bottom_area' => ideothemo_get_themo_default_value('header.side.align.bottom_area'),
                        ),
                        'logo' => array(
                            'type' => ideothemo_get_themo_default_value('header.side.logo.type'),
                            'height' => ideothemo_get_themo_default_value('header.side.logo.height'),
                            'padding_left' => ideothemo_get_themo_default_value('header.side.logo.margin_left'),
                            'padding_top' => ideothemo_get_themo_default_value('header.side.logo.margin_top'),
                            'padding_bottom' => ideothemo_get_themo_default_value('header.side.logo.margin_bottom'),
                        ),
                        'search_form' => ideothemo_get_themo_default_value('header.side.search_form'),
                        'social_icon' => ideothemo_get_themo_default_value('header.side.social_icon'),
                        'remove_language_switcher' => ideothemo_get_themo_default_value('header.side.remove_language_switcher'),
                        'copyright' => ideothemo_get_themo_default_value('header.side.copyright'),
                    ),
                    'mobile' => array(
                        'header_skin' => ideothemo_get_themo_default_value('header.mobile.header_skin'),
                        'height' => ideothemo_get_themo_default_value('header.mobile.height'),
                        'logo' => array(
                            'type' => ideothemo_get_themo_default_value('header.mobile.logo.type'),
                            'height_in_mobile_menu' => ideothemo_get_themo_default_value('header.mobile.logo.height_in_mobile_menu'),
                        ),
                        'search_bar' => ideothemo_get_themo_default_value('header.mobile.search_bar'),
                        'social_media_icon' => ideothemo_get_themo_default_value('header.mobile.social_media_icon'),
                        'remove_language_switcher' => ideothemo_get_themo_default_value('header.mobile.remove_language_switcher'),
                    ),
                    'typography' => array(
                        'main_menu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.main_menu.font_size'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.main_menu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.main_menu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.main_menu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.main_menu.text_transform'),
                        ),
                        'submenu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.submenu.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.submenu.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.submenu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.submenu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.submenu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.submenu.text_transform'),
                        ),
                        'mega_menu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.mega_menu.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.mega_menu.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.mega_menu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.mega_menu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.mega_menu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.mega_menu.text_transform'),
                        ),
                        'mega_menu_column_title' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.mega_menu_column_title.text_transform'),
                        ),
                        'side_menu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.side_menu.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.side_menu.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.side_menu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.side_menu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.side_menu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.side_menu.text_transform'),
                        ),
                        'side_menu_submenu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.side_menu_submenu.text_transform'),
                        ),
                        'mobile_menu' => array(
                            'font_size' => ideothemo_get_themo_default_value('header.typography.mobile_menu.font_size'),
                            'line_height' => ideothemo_get_themo_default_value('header.typography.mobile_menu.line_height'),
                            'font_family' => ideothemo_get_themo_default_value('header.typography.mobile_menu.font_family'),
                            'font_weight' => ideothemo_get_themo_default_value('header.typography.mobile_menu.font_weight'),
                            'letter_spacing' => ideothemo_get_themo_default_value('header.typography.mobile_menu.letter_spacing'),
                            'text_transform' => ideothemo_get_themo_default_value('header.typography.mobile_menu.text_transform'),
                        ),
                    ),
                    'top_sticky' => array(
                        'colored' => array(
                            'light' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.background_color'),
                                'border_bottom' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.border_bottom.color'),
                                    'thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.border_bottom.thickness'),
                                ),
                                'first_level_menu_text' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.first_level_menu_text.color'),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.first_level_menu_text.hover_color'),
                                ),
                                'hover_border_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.hover_border_color'),
                                'hover_background_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.hover_background_color'),
                                'search_language_icon_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.search_language_icon_color'),
                                'search_language_icon_hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.search_language_icon_hover_color'),
                                'loading_effect1_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.loading_effect1_color'),
                                'loading_effect2_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.loading_effect2_color'),
                                'mega_menu_sub_level' => array(
                                    'background' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.background.color'),
                                        'image_overlay_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.background.image_overlay_color'),
                                    ),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.hover_color'),
                                    'column_title_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.column_title_color'),
                                    'column_title' => array(
                                        'border_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.column_title.border_color'),
                                    ),
                                    'text_icon' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.text_icon.color'),
                                        'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.text_icon.hover_color'),
                                    ),
                                    'separators_color' => array(
                                        'horizontal' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.separators_color.horizontal'),
                                        'vertical' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.mega_menu_sub_level.separators_color.vertical'),
                                    ),
                                ),
                                'topbar' => array(
                                    'background' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.background'),
                                    'text' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.text'),
                                    'border_top_thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.border_top_thickness'),
                                    'border_top_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.border_top_color'),
                                    'border_bottom_thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.border_bottom_thickness'),
                                    'border_bottom_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.light.topbar.border_bottom_color'),
                                ),
                            ),
                            'dark' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.background_color'),
                                'border_bottom' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.border_bottom.color'),
                                    'thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.border_bottom.thickness'),
                                ),
                                'first_level_menu_text' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.first_level_menu_text.color'),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.first_level_menu_text.hover_color'),
                                ),
                                'hover_border_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.hover_border_color'),
                                'hover_background_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.hover_background_color'),
                                'search_language_icon_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.search_language_icon_color'),
                                'search_language_icon_hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.search_language_icon_hover_color'),
                                'loading_effect1_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.loading_effect1_color'),
                                'loading_effect2_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.loading_effect2_color'),
                                'mega_menu_sub_level' => array(
                                    'background' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.background.color'),
                                        'image_overlay_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.background.image_overlay_color'),
                                    ),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.hover_color'),
                                    'column_title_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.column_title_color'),
                                    'column_title' => array(
                                        'border_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.column_title.border_color'),
                                    ),
                                    'text_icon' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.text_icon.color'),
                                        'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.text_icon.hover_color'),
                                    ),
                                    'separators_color' => array(
                                        'horizontal' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.separators_color.horizontal'),
                                        'vertical' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.mega_menu_sub_level.separators_color.vertical'),
                                    ),
                                ),
                                'topbar' => array(
                                    'background' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.background'),
                                    'text' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.text'),
                                    'border_top_thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.border_top_thickness'),
                                    'border_top_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.border_top_color'),
                                    'border_bottom_thickness' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.border_bottom_thickness'),
                                    'border_bottom_color' => ideothemo_get_themo_default_value('header.top_sticky.colored.dark.topbar.border_bottom_color'),
                                ),
                            ),
                        ),
                        'transparent' => array(
                            'light' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.background_color'),
                                'border_bottom' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.border_bottom.color'),
                                    'thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.border_bottom.thickness'),
                                ),
                                'first_level_menu_text' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.first_level_menu_text.color'),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.first_level_menu_text.hover_color'),
                                ),
                                'hover_border_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.hover_border_color'),
                                'hover_background_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.hover_background_color'),
                                'search_language_icon_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.search_language_icon_color'),
                                'search_language_icon_hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.search_language_icon_hover_color'),
                                'loading_effect1_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.loading_effect1_color'),
                                'loading_effect2_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.loading_effect2_color'),
                                'mega_menu_sub_level' => array(
                                    'background' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.background.color'),
                                        'image_overlay_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.background.image_overlay_color'),
                                    ),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.hover_color'),
                                    'column_title_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.column_title_color'),
                                    'column_title' => array(
                                        'border_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.column_title.border_color'),
                                    ),
                                    'text_icon' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.text_icon.color'),
                                        'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.text_icon.hover_color'),
                                    ),
                                    'separators_color' => array(
                                        'horizontal' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.separators_color.horizontal'),
                                        'vertical' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.mega_menu_sub_level.separators_color.vertical'),
                                    ),
                                ),
                                'topbar' => array(
                                    'background' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.background'),
                                    'text' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.text'),
                                    'border_top_thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.border_top_thickness'),
                                    'border_top_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.border_top_color'),
                                    'border_bottom_thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.border_bottom_thickness'),
                                    'border_bottom_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.light.topbar.border_bottom_color'),
                                ),
                            ),
                            'dark' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.background_color'),
                                'border_bottom' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.border_bottom.color'),
                                    'thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.border_bottom.thickness'),
                                ),
                                'first_level_menu_text' => array(
                                    'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.first_level_menu_text.color'),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.first_level_menu_text.hover_color'),
                                ),
                                'hover_border_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.hover_border_color'),
                                'hover_background_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.hover_background_color'),
                                'search_language_icon_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.search_language_icon_color'),
                                'search_language_icon_hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.search_language_icon_hover_color'),
                                'loading_effect1_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.loading_effect1_color'),
                                'loading_effect2_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.loading_effect2_color'),
                                'mega_menu_sub_level' => array(
                                    'background' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.background.color'),
                                        'image_overlay_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.background.image_overlay_color'),
                                    ),
                                    'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.hover_color'),
                                    'column_title_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.column_title_color'),
                                    'column_title' => array(
                                        'border_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.column_title.border_color'),
                                    ),
                                    'text_icon' => array(
                                        'color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.text_icon.color'),
                                        'hover_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.text_icon.hover_color'),
                                    ),
                                    'separators_color' => array(
                                        'horizontal' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.separators_color.horizontal'),
                                        'vertical' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.mega_menu_sub_level.separators_color.vertical'),
                                    ),
                                ),
                                'topbar' => array(
                                    'background' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.background'),
                                    'text' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.text'),
                                    'border_top_thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.border_top_thickness'),
                                    'border_top_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.border_top_color'),
                                    'border_bottom_thickness' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.border_bottom_thickness'),
                                    'border_bottom_color' => ideothemo_get_themo_default_value('header.top_sticky.transparent.dark.topbar.border_bottom_color'),
                                ),
                            ),
                        ),
                    ),
                    'side' => array(
                        'light' => array(
                            'styling' => array(
                                'background' => ideothemo_get_themo_default_value('header.side.light.styling.background'),
                                'color_background' => array(
                                    'background_color' => ideothemo_get_themo_default_value('header.side.light.styling.color_background.background_color'),
                                    'pattern_overlay' => ideothemo_get_themo_default_value('header.side.light.styling.color_background.pattern_overlay'),
                                    'pattern_color' => ideothemo_get_themo_default_value('header.side.light.styling.color_background.pattern_color'),
                                ),
                                'image_background' => array(
                                    'background_image' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.background_image'),
                                    'image_position' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_position'),
                                    'image_size' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_size'),
                                    'image_repeat' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_repeat'),
                                    'image_overlay' => array(
                                        'type' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_overlay.type'),
                                        'color' => array(
                                            'pattern_color' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_overlay.color.pattern_color'),
                                        ),
                                        'pattern' => array(
                                            'type' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_overlay.pattern.type'),
                                            'color' => ideothemo_get_themo_default_value('header.side.light.styling.image_background.image_overlay.pattern.color'),
                                        ),
                                    ),
                                ),
                                'menu_text_color' => ideothemo_get_themo_default_value('header.side.light.styling.menu_text_color'),
                                'menu_text_hover_color' => ideothemo_get_themo_default_value('header.side.light.styling.menu_text_hover_color'),
                                'separators_color' => ideothemo_get_themo_default_value('header.side.light.styling.separators_color'),
                                'dropdown_menu_background_color' => ideothemo_get_themo_default_value('header.side.light.styling.dropdown_menu_background_color'),
                                'search_input_color' => ideothemo_get_themo_default_value('header.side.light.styling.search_input_color'),
                                'search_text_color' => ideothemo_get_themo_default_value('header.side.light.styling.search_text_color'),
                                'social_icon_background_color' => ideothemo_get_themo_default_value('header.side.light.styling.social_icon_background_color'),
                                'social_icons_color' => ideothemo_get_themo_default_value('header.side.light.styling.social_icons_color'),
                                'topbar_background_color' => ideothemo_get_themo_default_value('header.side.light.styling.topbar_background_color'),
                                'copyrights' => ideothemo_get_themo_default_value('header.side.light.styling.copyrights'),
                            ),
                        ),
                        'dark' => array(
                            'styling' => array(
                                'background' => ideothemo_get_themo_default_value('header.side.dark.styling.background'),
                                'color_background' => array(
                                    'background_color' => ideothemo_get_themo_default_value('header.side.dark.styling.color_background.background_color'),
                                    'pattern_overlay' => ideothemo_get_themo_default_value('header.side.dark.styling.color_background.pattern_overlay'),
                                    'pattern_color' => ideothemo_get_themo_default_value('header.side.dark.styling.color_background.pattern_color'),
                                ),
                                'image_background' => array(
                                    'background_image' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.background_image'),
                                    'image_position' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_position'),
                                    'image_size' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_size'),
                                    'image_repeat' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_repeat'),
                                    'image_overlay' => array(
                                        'type' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_overlay.type'),
                                        'color' => array(
                                            'pattern_color' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_overlay.color.pattern_color'),
                                        ),
                                        'pattern' => array(
                                            'type' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_overlay.pattern.type'),
                                            'color' => ideothemo_get_themo_default_value('header.side.dark.styling.image_background.image_overlay.pattern.color'),
                                        ),
                                    ),
                                ),
                                'menu_text_color' => ideothemo_get_themo_default_value('header.side.dark.styling.menu_text_color'),
                                'menu_text_hover_color' => ideothemo_get_themo_default_value('header.side.dark.styling.menu_text_hover_color'),
                                'separators_color' => ideothemo_get_themo_default_value('header.side.dark.styling.separators_color'),
                                'dropdown_menu_background_color' => ideothemo_get_themo_default_value('header.side.dark.styling.dropdown_menu_background_color'),
                                'search_input_color' => ideothemo_get_themo_default_value('header.side.dark.styling.search_input_color'),
                                'search_text_color' => ideothemo_get_themo_default_value('header.side.dark.styling.search_text_color'),
                                'social_icon_background_color' => ideothemo_get_themo_default_value('header.side.dark.styling.social_icon_background_color'),
                                'social_icons_color' => ideothemo_get_themo_default_value('header.side.dark.styling.social_icons_color'),
                                'topbar_background_color' => ideothemo_get_themo_default_value('header.side.dark.styling.topbar_background_color'),
                                'copyrights' => ideothemo_get_themo_default_value('header.side.dark.styling.copyrights'),
                            ),
                        ),
                    ),
                    'mobile' => array(
                        'light' => array(
                            'styling' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.background_color'),
                                'border_top_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.border_top_color'),
                                'border_top_thickness' => ideothemo_get_themo_default_value('header.mobile.light.styling.border_top_thickness'),
                                'icon_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.icon_color'),
                                'first_dropdown_background' => ideothemo_get_themo_default_value('header.mobile.light.styling.first_dropdown_background'),
                                'second_dropdown_background' => ideothemo_get_themo_default_value('header.mobile.light.styling.second_dropdown_background'),
                                'text_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.text_color'),
                                'text_hover_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.text_hover_color'),
                                'separators_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.separators_color'),
                                'search_input_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.search_input_color'),
                                'search_text_color' => ideothemo_get_themo_default_value('header.mobile.light.styling.search_text_color'),
                            ),
                        ),
                        'dark' => array(
                            'styling' => array(
                                'background_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.background_color'),
                                'border_top_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.border_top_color'),
                                'border_top_thickness' => ideothemo_get_themo_default_value('header.mobile.dark.styling.border_top_thickness'),
                                'icon_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.icon_color'),
                                'first_dropdown_background' => ideothemo_get_themo_default_value('header.mobile.dark.styling.first_dropdown_background'),
                                'second_dropdown_background' => ideothemo_get_themo_default_value('header.mobile.dark.styling.second_dropdown_background'),
                                'text_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.text_color'),
                                'text_hover_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.text_hover_color'),
                                'separators_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.separators_color'),
                                'search_input_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.search_input_color'),
                                'search_text_color' => ideothemo_get_themo_default_value('header.mobile.dark.styling.search_text_color'),
                            ),
                        ),
                    ),

                    'header_settings' => array(
                        'header_kontrolka' => 'on',
                    ),                 
                ),
                'pagetitle' => array(
                    'page_title_settings' => array(
                        'page_title_area' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.page_title_area'),
                        'page_title_area_skin' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.page_title_area_skin'),
                        'page_title_area_height' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.page_title_area_height'),
                        'page_title_area_content_align' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.page_title_area_content_align'),
                        'pt_background_parallax' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_parallax'),
                        'breadcrumbs_area' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.breadcrumbs_area'),
                        'breadcrumbs_position' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.breadcrumbs_position'),
                        'breadcrumbs_mobile' => ideothemo_get_themo_default_value('pagetitle.page_title_settings.breadcrumbs_mobile'),
                    ),
                    'page_title_background' => array(
                        'page_title_area_background' => ideothemo_get_themo_default_value('pagetitle.page_title_background.page_title_area_background'),
                        'pt_background_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_color'),
                        'pt_background_color_overlay' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_color_overlay'),
                        'pt_background_color_overlay_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_color_overlay_color'),
                        'pt_background_color_pattern' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_color_pattern'),
                        'pt_background_color_pattern_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_color_pattern_color'),
                        'pt_background_upload_image' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_upload_image'),
                        'pt_background_cover' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_cover'),
                        'pt_background_image_position' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_position'),
                        'pt_background_image_repeat' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_repeat'),
                        'pt_background_motion' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_motion'),
                        'pt_background_moving_speed' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_moving_speed'),
                        'pt_background_image_overlay' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_overlay'),
                        'pt_background_image_overlay_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_overlay_color'),
                        'pt_background_image_overlay_pattern' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_overlay_pattern'),
                        'pt_background_image_overlay_pattern_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_image_overlay_pattern_color'),
                        'pt_background_video_platform' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_video_platform'),
                        'pt_background_youtube' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_youtube'),
                        'pt_background_mp4' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_mp4'),
                        'pt_background_webm' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_webm'),
                        'pt_background_fallback_image' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_fallback_image'),
                        'pt_background_video_overlay' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_video_overlay'),
                        'pt_background_video_overlay_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_video_overlay_color'),
                        'pt_background_video_overlay_pattern' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_video_overlay_pattern'),
                        'pt_background_video_overlay_pattern_color' => ideothemo_get_themo_default_value('pagetitle.page_title_background.pt_background_video_overlay_pattern_color'),
                    ),
                    'page_title_fonts' => array(
                        'pt_title_font_size' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_title_font_size'),
                        'pt_title_font_family' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_title_font_family'),
                        'pt_title_font_weight' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_title_font_weight'),
                        'pt_title_letter_spacing' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_title_letter_spacing'),
                        'pt_subtitle_font_size' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_subtitle_font_size'),
                        'pt_subtitle_font_family' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_subtitle_font_family'),
                        'pt_subtitle_font_weight' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_subtitle_font_weight'),
                        'pt_subtitle_letter_spacing' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_subtitle_letter_spacing'),
                        'pt_breadcrumbs_font_size' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_breadcrumbs_font_size'),
                        'pt_breadcrumbs_line_height' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_breadcrumbs_line_height'),
                        'pt_breadcrumbs_font_family' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_breadcrumbs_font_family'),
                        'pt_breadcrumbs_font_weight' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_breadcrumbs_font_weight'),
                        'pt_breadcrumbs_letter_spacing' => ideothemo_get_themo_default_value('pagetitle.page_title_fonts.pt_breadcrumbs_letter_spacing'),
                    ),
                    'page_title_coloring' => array(
                        'pt_light_title_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_title_color'),
                        'pt_light_subtitle_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_subtitle_color'),
                        'pt_light_b_text_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_b_text_color'),
                        'pt_light_b_text_accent_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_b_text_accent_color'),
                        'pt_light_b_background_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_b_background_color'),
                        'pt_light_b_border_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_light_b_border_color'),
                        'pt_dark_title_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_title_color'),
                        'pt_dark_subtitle_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_subtitle_color'),
                        'pt_dark_b_text_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_b_text_color'),
                        'pt_dark_b_text_accent_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_b_text_accent_color'),
                        'pt_dark_b_background_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_b_background_color'),
                        'pt_dark_b_border_color' => ideothemo_get_themo_default_value('pagetitle.page_title_coloring.pt_dark_b_border_color'),
                    )
                ),
                'shortcodes' => array(
                    'shortcodes_coloring' => array(
                        'sc_colored_light_accent_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_accent_color'),
                        'sc_colored_light_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_title_color'),
                        'sc_colored_light_text_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_text_color'),
                        'sc_colored_light_icon_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_icon_color'),
                        'sc_colored_light_background_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_background_color'),
                        'sc_colored_light_alternative_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_light_alternative_title_color'),
                        'sc_colored_dark_accent_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_accent_color'),
                        'sc_colored_dark_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_title_color'),
                        'sc_colored_dark_text_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_text_color'),
                        'sc_colored_dark_icon_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_icon_color'),
                        'sc_colored_dark_background_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_background_color'),
                        'sc_colored_dark_alternative_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_colored_dark_alternative_title_color'),
                        'sc_transparent_light_accent_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_light_accent_color'),
                        'sc_transparent_light_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_light_title_color'),
                        'sc_transparent_light_text_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_light_text_color'),
                        'sc_transparent_light_icon_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_light_icon_color'),
                        'sc_transparent_dark_accent_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_dark_accent_color'),
                        'sc_transparent_dark_title_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_dark_title_color'),
                        'sc_transparent_dark_text_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_dark_text_color'),
                        'sc_transparent_dark_icon_color' => ideothemo_get_themo_default_value('shortcodes.shortcodes_coloring.sc_transparent_dark_icon_color'),
                    ),
                    'button_radius' => array(
                        'button_default_radius' => ideothemo_get_themo_default_value('shortcodes.button_radius.button_default_radius'),
                        'button_radius_small' => ideothemo_get_themo_default_value('shortcodes.button_radius.button_radius_small'),
                        'button_radius_big' => ideothemo_get_themo_default_value('shortcodes.button_radius.button_radius_big'),
                    ),
                    'button_font' => array(
                        'button_font_family' => ideothemo_get_themo_default_value('shortcodes.button_font.button_font_family'),
                        'button_font_weight' => ideothemo_get_themo_default_value('shortcodes.button_font.button_font_weight'),
                        'button_letter_spacing' => ideothemo_get_themo_default_value('shortcodes.button_font.button_letter_spacing'),
                        'button_text_transform' => ideothemo_get_themo_default_value('shortcodes.button_font.button_text_transform'),
                    )
                ),
                'footer' => array(
                    'footer_settings' => array(
                        'footer_on' => ideothemo_get_themo_default_value('footer.footer_settings.footer_on'),
                        'footer_type' => ideothemo_get_themo_default_value('footer.footer_settings.footer_type'),
                        'standard_footer_skin' => ideothemo_get_themo_default_value('footer.footer_settings.standard_footer_skin'),
                        'copywrite_area_on' => ideothemo_get_themo_default_value('footer.footer_settings.copywrite_area_on'),
                        'copyright_skin' => ideothemo_get_themo_default_value('footer.footer_settings.copyright_skin'),
                        'copyright_paddings' => ideothemo_get_themo_default_value('footer.footer_settings.copyright_paddings'),
                        'copyright_text' => ideothemo_get_themo_default_value('footer.footer_settings.copyright_text'),
                        'copyright_text_align' => ideothemo_get_themo_default_value('footer.footer_settings.copyright_text_align'),
                        'choose_advanced_footer' => ideothemo_get_themo_default_value('footer.footer_settings.choose_advanced_footer'),
                        'sticky_footer' => ideothemo_get_themo_default_value('footer.footer_settings.sticky_footer'),
                    ),
                    'standard_footer_layout' => array(
                        'footer_layout' => ideothemo_get_themo_default_value('footer.standard_footer_layout.footer_layout'),
                        'footer_custom_layout' => ideothemo_get_themo_default_value('footer.standard_footer_layout.footer_custom_layout'),
                        'footer_columns' => ideothemo_get_themo_default_value('footer.standard_footer_layout.footer_columns'),
                        'footer_padding_top' => ideothemo_get_themo_default_value('footer.standard_footer_layout.footer_padding_top'),
                        'footer_padding_bottom' => ideothemo_get_themo_default_value('footer.standard_footer_layout.footer_padding_bottom'),
                    ),
                    'standard_footer_background' => array(
                        'footer_background_type' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_type'),
                        'footer_background_color' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_color'),
                        'footer_background_color_overlay' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_color'),
                        'footer_background_color_overlay_color' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_color_overlay_color'),
                        'footer_background_color_pattern' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_color_pattern'),
                        'footer_background_color_pattern_color' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_color_pattern_color'),
                        'footer_background_upload_image' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_upload_image'),
                        'footer_background_cover' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_cover'),
                        'footer_background_image_position' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_position'),
                        'footer_background_image_repeat' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_repeat'),
                        'footer_background_image_overlay' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_overlay'),
                        'footer_background_image_overlay_color' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_overlay_color'),
                        'footer_background_image_overlay_pattern' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_overlay_pattern'),
                        'footer_background_image_overlay_pattern_color' => ideothemo_get_themo_default_value('footer.standard_footer_background.footer_background_image_overlay_pattern_color'),
                    ),
                    'standard_footer_coloring' => array(
                        'footer_light_accent_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_light_accent_color'),
                        'footer_light_widgets_title_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_light_widgets_title_color'),
                        'footer_light_widgets_text_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_light_widgets_text_color'),
                        'footer_dark_accent_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_dark_accent_color'),
                        'footer_dark_widgets_title_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_dark_widgets_title_color'),
                        'footer_dark_widgets_text_color' => ideothemo_get_themo_default_value('footer.standard_footer_coloring.footer_dark_widgets_text_color'),
                    ),
                    'widgets_title_font' => array(
                        'widget_title_font_size' => ideothemo_get_themo_default_value('footer.widgets_title_font.widget_title_font_size'),
                        'widget_title_line_height' => ideothemo_get_themo_default_value('footer.widgets_title_font.widget_title_line_height'),
                        'widget_title_font_family' => ideothemo_get_themo_default_value('footer.widgets_title_font.widget_title_font_family'),
                        'widget_title_font_weight' => ideothemo_get_themo_default_value('footer.widgets_title_font.widget_title_font_weight'),
                        'widget_title_letter_spacing' => ideothemo_get_themo_default_value('footer.widgets_title_font.widget_title_letter_spacing'),
                    ),
                    'copyrights_coloring' => array(
                        'copyrights_light_background_color' => ideothemo_get_themo_default_value('footer.copyrights_coloring.copyrights_light_background_color'),
                        'copyrights_light_text_color' => ideothemo_get_themo_default_value('footer.copyrights_coloring.copyrights_light_text_color'),
                        'copyrights_dark_background_color' => ideothemo_get_themo_default_value('footer.copyrights_coloring.copyrights_dark_background_color'),
                        'copyrights_dark_text_color' => ideothemo_get_themo_default_value('footer.copyrights_coloring.copyrights_dark_text_color'),
                    ),
                    'copyrights_font' => array(
                        'copyrights_font_size' => ideothemo_get_themo_default_value('footer.copyrights_font.copyrights_font_size'),
                        'copyrights_line_height' => ideothemo_get_themo_default_value('footer.copyrights_font.copyrights_line_height'),
                        'copyrights_font_family' => ideothemo_get_themo_default_value('footer.copyrights_font.copyrights_font_family'),
                        'copyrights_font_weight' => ideothemo_get_themo_default_value('footer.copyrights_font.copyrights_font_weight'),
                        'copyrights_letter_spacing' => ideothemo_get_themo_default_value('footer.copyrights_font.copyrights_letter_spacing'),
                    )
                ),
                'sidebar' => array(
                    'sidebar_settings' => array(
                        'sidebar_global' => ideothemo_get_themo_default_value('sidebar.sidebar_settings.sidebar_global'),
                        'sidebar_choose' => ideothemo_get_themo_default_value('sidebar.sidebar_settings.sidebar_choose'),
                        'sidebar_skin' => ideothemo_get_themo_default_value('sidebar.sidebar_settings.sidebar_skin'),
                    ),
                    'sidebar_coloring' => array(
                        'sidebar_light_accent_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_light_accent_color'),
                        'sidebar_light_titles_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_light_titles_color'),
                        'sidebar_light_text_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_light_text_color'),
                        'sidebar_dark_accent_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_dark_accent_color'),
                        'sidebar_dark_titles_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_dark_titles_color'),
                        'sidebar_dark_text_color' => ideothemo_get_themo_default_value('sidebar.sidebar_coloring.sidebar_dark_text_color'),
                    ),
                    'sidebar_widgets_title_font' => array(
                        'sidebar_title_font_size' => ideothemo_get_themo_default_value('sidebar.sidebar_widgets_title_font.sidebar_title_font_size'),
                        'sidebar_title_line_height' => ideothemo_get_themo_default_value('sidebar.sidebar_widgets_title_font.sidebar_title_line_height'),
                        'sidebar_title_font_family' => ideothemo_get_themo_default_value('sidebar.sidebar_widgets_title_font.sidebar_title_font_family'),
                        'sidebar_title_font_weight' => ideothemo_get_themo_default_value('sidebar.sidebar_widgets_title_font.sidebar_title_font_weight'),
                        'sidebar_title_letter_spacing' => ideothemo_get_themo_default_value('sidebar.sidebar_widgets_title_font.sidebar_title_letter_spacing'),
                    )
                ),
                'blog' => array(
                    'blog_settings' => array(
                        'blog_hide_authors' => ideothemo_get_themo_default_value('blog.blog_settings.blog_hide_authors'),
                        'blog_hide_comments' => ideothemo_get_themo_default_value('blog.blog_settings.blog_hide_comments'),
                        'blog_hide_date' => ideothemo_get_themo_default_value('blog.blog_settings.blog_hide_date'),
                        'blog_hide_tags' => ideothemo_get_themo_default_value('blog.blog_settings.blog_hide_tags'),
                        'blog_hide_categories' => ideothemo_get_themo_default_value('blog.blog_settings.blog_hide_categories'),
                    ),
                    'blog_single' => array(
                        'blog_sidebar' => ideothemo_get_themo_default_value('blog.blog_single.blog_sidebar'),
                        'blog_sidebar_choose' => ideothemo_get_themo_default_value('blog.blog_single.blog_sidebar_choose'),
                        'blog_single_navigation' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_navigation'),
                        'blog_single_featured_image' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_featured_image'),
                        'blog_single_post_title' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_post_title'),
                        'blog_single_meta' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_meta'),
                        'blog_single_related_posts' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_related_posts'),
                        'blog_single_socials' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_socials'),
                        'blog_single_facebook' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_facebook'),
                        'blog_single_twitter' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_twitter'),
                        'blog_single_google' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_google'),
                        'blog_single_pinterest' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_pinterest'),
                        'blog_single_reddit' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_reddit'),
                        'blog_single_linkedin' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_linkedin'),
                        'blog_single_tumblr' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_tumblr'),
                        'blog_single_vk' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_vk'),
                        'blog_single_email' => ideothemo_get_themo_default_value('blog.blog_single.blog_single_email'),
                    ),
                    'blog_archives' => array(
                        'blog_archives_layout' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_layout'),
                        'blog_archives_masonry_blocks' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_masonry_blocks'),
                        'blog_archives_sidebar' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_sidebar'),
                        'blog_archives_sidebar_choose' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_sidebar_choose'),
                        'blog_archives_pt' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_pt'),
                        'blog_archives_posts_per_page' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_posts_per_page'),
                        'blog_archives_pagination' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_pagination'),
                        'blog_archives_excerpt_words' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_excerpt_words'),
                        'blog_archives_socials' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_socials'),
                        'blog_archives_facebook' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_facebook'),
                        'blog_archives_twitter' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_twitter'),
                        'blog_archives_google' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_google'),
                        'blog_archives_pinterest' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_pinterest'),
                        'blog_archives_reddit' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_reddit'),
                        'blog_archives_linkedin' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_linkedin'),
                        'blog_archives_tumblr' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_tumblr'),
                        'blog_archives_vk' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_vk'),
                        'blog_archives_email' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_email'),
                        'blog_archives_authors' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_authors'),
                        'blog_archives_comments' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_comments'),
                        'blog_archives_date' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_date'),
                        'blog_archives_tags' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_tags'),
                        'blog_archives_categories' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_categories'),
                        'blog_archives_block_distance' => ideothemo_get_themo_default_value('blog.blog_archives.blog_archives_block_distance'),
                    ),
                    'blog_search' => array(
                        'blog_search_sidebar' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_sidebar'),
                        'blog_search_sidebar_choose' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_sidebar_choose'),
                        'blog_search_posts_per_page' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_posts_per_page'),
                        'blog_search_excerpt_words' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_excerpt_words'),
                        'blog_search_pagination' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_pagination'),
                        'blog_search_pt' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_pt'),
                        'blog_search_featured_image' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_featured_image'),
                        'blog_search_meta_date' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_meta_date'),
                        'blog_search_meta_author' => ideothemo_get_themo_default_value('blog.blog_search.blog_search_meta_author'),
                    )
                ),

                'portfolio' => array(
                    'portfolio_settings' => array(
                        'main_page' => ideothemo_get_themo_default_value('portfolio.portfolio_settings.main_page'),
                        'slug' => ideothemo_get_themo_default_value('portfolio.portfolio_settings.slug'),
                        'label' => ideothemo_get_themo_default_value('portfolio.portfolio_settings.label'),
                    ),
                    'portfolio_standard_card' => array(
                        'navigation' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.navigation'),
                        'social_media_share' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.social_media_share'),
                        'facebook' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.facebook'),
                        'twitter' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.twitter'),
                        'google' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.google'),
                        'reddit' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.reddit'),
                        'linkedin' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.linkedin'),
                        'tumblr' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.tumblr'),
                        'pinterest' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.pinterest'),
                        'vk' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.vk'),
                        'email' => ideothemo_get_themo_default_value('portfolio.portfolio_standard_card.email'),
                    ),
                    'portfolio_navigation' => array(
                        'enabled' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.enabled'),
                        'background_color' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.background_color'),
                        'border_top_color' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.border_top_color'),
                        'border_bottom_color' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.border_bottom_color'),
                        'text_color' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.text_color'),
                        'accent_color' => ideothemo_get_themo_default_value('portfolio.portfolio_navigation.accent_color'),
                    ),
                ),

                'social_media' => array(
                    'social_media_profiles' => array(
                        'behance' => ideothemo_get_themo_default_value('social_media.social_media_profiles.behance'),
                        'dribbble' => ideothemo_get_themo_default_value('social_media.social_media_profiles.dribbble'),
                        'facebook' => ideothemo_get_themo_default_value('social_media.social_media_profiles.facebook'),
                        'flickr' => ideothemo_get_themo_default_value('social_media.social_media_profiles.flickr'),
                        'google' => ideothemo_get_themo_default_value('social_media.social_media_profiles.google'),
                        'istagram' => ideothemo_get_themo_default_value('social_media.social_media_profiles.istagram'),
                        'linkedin' => ideothemo_get_themo_default_value('social_media.social_media_profiles.linkedin'),
                        'pinterest' => ideothemo_get_themo_default_value('social_media.social_media_profiles.pinterest'),
                        'reddit' => ideothemo_get_themo_default_value('social_media.social_media_profiles.reddit'),
                        'skype' => ideothemo_get_themo_default_value('social_media.social_media_profiles.skype'),
                        'soundcloud' => ideothemo_get_themo_default_value('social_media.social_media_profiles.soundcloud'),
                        'tumblr' => ideothemo_get_themo_default_value('social_media.social_media_profiles.tumblr'),
                        'twitter' => ideothemo_get_themo_default_value('social_media.social_media_profiles.twitter'),
                        'vimeo' => ideothemo_get_themo_default_value('social_media.social_media_profiles.vimeo'),
                        'vk' => ideothemo_get_themo_default_value('social_media.social_media_profiles.vk'),
                        'xing' => ideothemo_get_themo_default_value('social_media.social_media_profiles.xing'),
                        'behance' => ideothemo_get_themo_default_value('social_media.social_media_profiles.youtube'),
                    )
                ),

                'lightbox' => array(
                    'lightbox_settings' => array(
                        'lightbox_text_align' => ideothemo_get_themo_default_value('lightbox.lightbox_settings.lightbox_text_align'),
                        'lightbox_entry_animation' => ideothemo_get_themo_default_value('lightbox.lightbox_settings.lightbox_entry_animation'),
                    ),
                    'lightbox_coloring' => array(
                        'lightbox_overlay_color' => ideothemo_get_themo_default_value('lightbox.lightbox_coloring.lightbox_overlay_color'),
                        'lightbox_text_and_nav_color' => ideothemo_get_themo_default_value('lightbox.lightbox_coloring.lightbox_text_and_nav_color'),
                    )
                ),
                'advanced' => array(
                    'advanced_advanced' => array(
                        'advanced_smoothscroll' => ideothemo_get_themo_default_value('advanced.advanced_advanced.advanced_smoothscroll'),
                        'advanced_head_tags' => ideothemo_get_themo_default_value('advanced.advanced_advanced.advanced_head_tags'),
                        'advanced_body_tags' => ideothemo_get_themo_default_value('advanced.advanced_advanced.advanced_body_tags'),
                    ),
                    'advanced_loading' => array(
                        'advanced_sticky_loading' => ideothemo_get_themo_default_value('advanced.advanced_loading.advanced_sticky_loading'),
                        'transition_in' => ideothemo_get_themo_default_value('advanced.advanced_loading.transition_in'),
                        'transition_out' => ideothemo_get_themo_default_value('advanced.advanced_loading.transition_out'),
                        'logo' => ideothemo_get_themo_default_value('advanced.advanced_loading.logo'),
                        'logo_retina' => ideothemo_get_themo_default_value('advanced.advanced_loading.logo_retina'),
                        'advanced_loader' => ideothemo_get_themo_default_value('advanced.advanced_loading.advanced_loader'),
                        'advanced_loader_background_color' => ideothemo_get_themo_default_value('advanced.advanced_loading.advanced_loader_background_color'),
                        'advanced_loader_color' => ideothemo_get_themo_default_value('advanced.advanced_loading.advanced_loader_color'),
                    ),
                    'advanced_backtotop' => array(
                        'advanced_backtotop_button' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_button'),
                        'advanced_backtotop_scroll_speed' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.scroll_speed'),
                        'advanced_backtotop_radius' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_radius'),
                        'advanced_backtotop_background_color' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_background_color'),
                        'advanced_backtotop_background_hover_color' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_background_hover_color'),
                        'advanced_backtotop_icon_color' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_icon_color'),
                        'advanced_backtotop_icon_hover_color' => ideothemo_get_themo_default_value('advanced.advanced_backtotop.advanced_backtotop_icon_hover_color'),
                    ),
                    'advanced_specyfic' => array(
                        'advanced_maintenance' => ideothemo_get_themo_default_value('advanced.advanced_specyfic.advanced_maintenance'),
                        'advanced_maintenance_choose' => ideothemo_get_themo_default_value('advanced.advanced_specyfic.advanced_maintenance_choose'),
                        'advanced_404_choose' => ideothemo_get_themo_default_value('advanced.advanced_specyfic.advanced_404_choose'),
                    ),
                    'advanced_onepage' => array(
                        'scroll_speed' => ideothemo_get_themo_default_value('advanced.advanced_onepage.scroll_speed'),
                    ),
                    'advanced_open_graph' => array(
                        'open_graph' => ideothemo_get_themo_default_value('advanced.advanced_open_graph.open_graph'),
                    ),
                    'advanced_viewport' => array(
                        'disable_on_mobile' => ideothemo_get_themo_default_value('advanced.advanced_viewport.disable_on_mobile'),
                    )
                ),
                'custom' => array(
                    'custom_css' => array(
                        'custom_css' => '',
                    ),
                    'custom_js' => array(
                        'custom_js' => '',
                    )
                ),
                'import' => array(
                    'import' => array(
                        'import_info' => '',
                        'import_code' => '',
                    ),
                    'export' => array(
                        'export_info' => '',
                        'export_code' => '',
                    )
                ),
                'reset' => array(
                    'reset' => array(
                        'reset_info' => '',
                        'reset_do_default' => '',
                    )
                )
            );
        }

        $ideo_theme_options = ideothemo_parse_mod_theme(get_theme_mod('data_refresh', '{}'));

        if (ideothemo_is_ajax_preview()) {
            $ideo_theme_options = array_replace_recursive($ideo_theme_options, $_POST['ideo_theme_options']);
        }

        if ($useInitDefault) {
            $ideo_options = ideothemo_array_fill_options($ideo_theme_options_init, $ideo_theme_options);
        } else {
            $ideo_options = $ideo_theme_options;
        }

        return $ideo_options;
    }
}